DocumentDefaultsDefinition (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.factory.xml

## Class DocumentDefaultsDefinition

- java.lang.Object
- - org.springframework.beans.factory.xml.DocumentDefaultsDefinition

- All Implemented Interfaces:
    BeanMetadataElement, DefaultsDefinition

      public class DocumentDefaultsDefinition
      extends Object
      implements DefaultsDefinition

  Simple JavaBean that holds the defaults specified at the `&lt;beans&gt;` level in a standard Spring XML bean definition document: `default-lazy-init`, `default-autowire`, etc.
  Since:
    2.0.2
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentDefaultsDefinition()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAutowire()` Return the default autowire setting for the document that's currently parsed.
    `String` | `getAutowireCandidates()` Return the default autowire-candidate pattern for the document that's currently parsed.
    `String` | `getDependencyCheck()` Return the default dependency-check setting for the document that's currently parsed.
    `String` | `getDestroyMethod()` Return the default destroy-method setting for the document that's currently parsed.
    `String` | `getInitMethod()` Return the default init-method setting for the document that's currently parsed.
    `String` | `getLazyInit()` Return the default lazy-init flag for the document that's currently parsed.
    `String` | `getMerge()` Return the default merge setting for the document that's currently parsed.
    `Object` | `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).
    `void` | `setAutowire(String autowire)` Set the default autowire setting for the document that's currently parsed.
    `void` | `setAutowireCandidates(String autowireCandidates)` Set the default autowire-candidate pattern for the document that's currently parsed.
    `void` | `setDependencyCheck(String dependencyCheck)` Set the default dependency-check setting for the document that's currently parsed.
    `void` | `setDestroyMethod(String destroyMethod)` Set the default destroy-method setting for the document that's currently parsed.
    `void` | `setInitMethod(String initMethod)` Set the default init-method setting for the document that's currently parsed.
    `void` | `setLazyInit(String lazyInit)` Set the default lazy-init flag for the document that's currently parsed.
    `void` | `setMerge(String merge)` Set the default merge setting for the document that's currently parsed.
    `void` | `setSource(Object source)` Set the configuration source `Object` for this metadata element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentDefaultsDefinition

          public DocumentDefaultsDefinition()

  - ### Method Detail

    - #### setLazyInit

          public void setLazyInit(String lazyInit)

      Set the default lazy-init flag for the document that's currently parsed.

    - #### getLazyInit

          public String getLazyInit()

      Return the default lazy-init flag for the document that's currently parsed.

    - #### setMerge

          public void setMerge(String merge)

      Set the default merge setting for the document that's currently parsed.

    - #### getMerge

          public String getMerge()

      Return the default merge setting for the document that's currently parsed.

    - #### setAutowire

          public void setAutowire(String autowire)

      Set the default autowire setting for the document that's currently parsed.

    - #### getAutowire

          public String getAutowire()

      Return the default autowire setting for the document that's currently parsed.

    - #### setDependencyCheck

          public void setDependencyCheck(String dependencyCheck)

      Set the default dependency-check setting for the document that's currently parsed.

    - #### getDependencyCheck

          public String getDependencyCheck()

      Return the default dependency-check setting for the document that's currently parsed.

    - #### setAutowireCandidates

          public void setAutowireCandidates(String autowireCandidates)

      Set the default autowire-candidate pattern for the document that's currently parsed. Also accepts a comma-separated list of patterns.

    - #### getAutowireCandidates

          public String getAutowireCandidates()

      Return the default autowire-candidate pattern for the document that's currently parsed. May also return a comma-separated list of patterns.

    - #### setInitMethod

          public void setInitMethod(String initMethod)

      Set the default init-method setting for the document that's currently parsed.

    - #### getInitMethod

          public String getInitMethod()

      Return the default init-method setting for the document that's currently parsed.

    - #### setDestroyMethod

          public void setDestroyMethod(String destroyMethod)

      Set the default destroy-method setting for the document that's currently parsed.

    - #### getDestroyMethod

          public String getDestroyMethod()

      Return the default destroy-method setting for the document that's currently parsed.

    - #### setSource

          public void setSource(Object source)

      Set the configuration source `Object` for this metadata element.

      The exact type of the object will depend on the configuration mechanism used.

    - #### getSource

          public Object getSource()

      Description copied from interface: `BeanMetadataElement`
      Return the configuration source `Object` for this metadata element (may be `null`).
      Specified by:
        `getSource` in interface `BeanMetadataElement`